Package Scientific :: Package DistributedComputing :: Module TaskManager :: Class TaskRaisedException

[frames] | no frames]

# Class TaskRaisedException

                  object --+
                           |
    exceptions.BaseException --+
                               |
            exceptions.Exception --+
                                   |
                                  TaskRaisedException

Signals that an exception was raised inside a task. Four attributes provide information about the task and the exception: "task_id" is the task's id, "tag" is its tag, "exception" contains the original exception object, and "traceback" contains a text representation of the stack traceback at the time of the exception.

Instance Methods

__init__(self, task_id, tag, exception, traceback) x.__init__(...) initializes x; see x.__class__.__doc__ for signature |

Inherited from `exceptions.Exception`: `__new__` Inherited from `exceptions.BaseException`: `__delattr__`, `__getattribute__`, `__getitem__`, `__reduce__`, `__repr__`, `__setattr__`, `__setstate__`, `__str__` Inherited from `object`: `__hash__`, `__reduce_ex__`

Properties
Inherited from `exceptions.BaseException`: `args`, `message` Inherited from `object`: `__class__`

Method Details

### __init__(self, task_id, tag, exception, traceback)
(Constructor)

x.__init__(...) initializes x; see x.__class__.__doc__ for signature

Overrides: object.__init__
  (inherited documentation)